//////   EditorFrame.java   //////

/**
 * Class EditorFrame Version 1
 * @author Karl Gustav Sterneberg
 */

import java.awt.*;
import javax.swing.*;
import java.awt.geom.*;

/**
 * Class EditorFrame Version 1
 * @author Karl Gustav Sterneberg
 */
public class EditorFrame extends JFrame
{ 
/**
*  The int screenHeight.
*/  
private int screenHeight;

/**
*  The int screenWidth.
*/
private int screenWidth;   

/**
 * Constructor.
 */
public EditorFrame()
{
// get screen dimensions
Toolkit kit = Toolkit.getDefaultToolkit();
Dimension screenSize = kit.getScreenSize();
screenHeight = screenSize.height;
screenWidth = screenSize.width;

// set size to screensize
setSize(screenWidth, screenHeight - 50);

// set title
setTitle("KG's Simple Figure Editor Version 1.0");

getContentPane().setLayout(new BorderLayout());
// add panel to frame
EditorPanel editorPanel = new EditorPanel();
ButtonPanel2 buttonPanel2 = new ButtonPanel2();

getContentPane().add(editorPanel, BorderLayout.CENTER);
getContentPane().add(buttonPanel2, BorderLayout.SOUTH);

} // END contructor public EditorFrame()
  } // END class EditorFrame extends JFrame    
